---
title: "Get owners filtered and paged"
slug: "get-owners-filtered-and-paged"
updated: 2024-09-04T08:47:07Z
published: 2026-02-10T10:27:20Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://www.bloxs.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get owners filtered and paged

Post/api/v1/relations/owners/filter

Get a paged list of existing owners, optionally filtered to the given parameters.

		
			

**Description**

Retrieve a paged list of existing owners, optionally filtered to the given parameters. The Bloxs relations-api offers 2 options to get owners filtered and paged. One is through the POST option, and as an alternative there is a GET operation available. The functional difference is that the POST option offers the ability to sort the results. Furthermore, the POST includes the parameters in the body whereas the GET includes them in the url.

Either reference or externalIdentifier must have a value. Please note that if both identifiers are given, both must match; otherwise, an error message will be generated. It is recommended that the user utilizes only one identifier, with a preference for the reference.

Owner pertains to real estate owners. Each owner has their own financial administration. Adding a new owner automatically triggers the creation of a new financial administration.

**Use Case**

The Bloxs user has an external App connected to Bloxs. Through this operation the user can display a paged list of owners & the related information. This operation can be used if the user wants to display multiple owners rather than just a specific one. If the user wants to display a single owner the preference is to use the GET (owners) operation.

| Field | Description |
| --- | --- |
| pageSize | The maximum number of pages to be returned per request. The default number is 100 and the maximum is 1.000. If more results are returned than specified in the PageSize, the remaining pages are dropped based on the reference (number). |
| pageNumber | This allows the requesting party to specify which of the pages they want to receive. |
| columnName | The data field based on which sorting will be applied. For example, if the user wants to sort the results based on ascending name, the value 'name' should be given here. |
| order | Based on this value, the property defined in 'columnName' will either be sorted ascending (a-z) or descending (z-a). |
| externalIdentifier | The unique identifier within the system of the requesting party. This identifier is not generated by the Bloxs system |
| reference | The relationship number within Bloxs. This is unique (per client specific environment) for all relationships (EstateAgents, Organisations, Owners, Persons, Suppliers). The relationship number is generated by the Bloxs system . |
| name | Name of the relation. |
| website | Website of the relation. |
| isActive | Boolean. A owner can be archived. If the owner is archived, then the status is inactive. True: Active False: Inactive |
| phoneNumber | Phone number of the relation. |
| mobileNumber | Mobile phone number of the relation. |
| addressStreet | The street of the relation. |
| AddressPostalCode | The postal code of the relation. |
| AddressCity | The place of residence of the relation. |
| primaryEmailAddresses | Primary email address used by the relation. If other email addresses are left empty, this email address will be used for correspondence. |
| lastModified | Timestamp of the last modification within Bloxs (determined by Bloxs). |

		
		
SecurityHTTPType Bearer

Please enter a valid token

Body parameters<select class='api-response-data' aria-label='Media type'><option value='5ad1e58a-ff7c-43af-a3d2-a9544d04c3b8'>application/json</option>
</select>Expand Allobject  pagingobject (PagingInfo)  pageSizeinteger  (int32)   | null  Minimum1Maximum1000
pageNumberinteger  (int32)   | null  Minimum1Maximum9999

sortingobject (SortingInfo)  columnNamestring   | null  
orderinteger  (int32)    Valid values[
  0,
  1
]

filterobject (OwnerSearchRequestFilter)  namestring   | null  
referencestring   | null  
externalIdentifierstring   | null  
phoneNumberstring   | null  
mobileNumberstring   | null  
primaryEmailAddressesstring   | null  
addressStreetAndHouseNumberstring   | null  
addressPostalCodestring   | null  
addressCitystring   | null  
addressCountryISOCodestring   | null  
archiveDateobject (CompareFilterModelDateTime)  fromstring  (date-time)   | null  
tostring  (date-time)   | null  

lastModifiedobject (CompareFilterModelDateTime)  fromstring  (date-time)   | null  
tostring  (date-time)   | null  

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='dd9f75bd-af7f-44a1-bccd-4095ee2e330a'>application/json</option>
</select>Expand Allobject  pagingobject (PagingInfo)  pageSizeinteger  (int32)   | null  Minimum1Maximum1000
pageNumberinteger  (int32)   | null  Minimum1Maximum9999

sortingobject (SortingInfo)  columnNamestring   | null  
orderinteger  (int32)    Valid values[
  0,
  1
]

owners Array of object (OwnerSearchResultFilter)  | null  object  namestring   | null  
referencestring   | null  
externalIdentifierstring   | null  
phoneNumberstring   | null  
mobileNumberstring   | null  
primaryEmailAddressesstring   | null  
addressStreetAndHouseNumberstring   | null  
addressPostalCodestring   | null  
addressCitystring   | null  
addressCountryISOCodestring   | null  
archiveDatestring  (date-time)   | null  
lastModifiedstring  (date-time)   | null
